<div ng-controller="TextQuery as textQuery">
  <filter-boxes dataset="dataset"></filter-boxes>
  <div ng-if="false" class="input-group query">
    <span class="input-group-btn">
      <button class="btn btn-default clear-button" type="button" ng-mousedown="textQuery.clear()" ng-disabled="!textQuery.queryString">
        <i class="fa fa-lg fa-times"></i>
      </button>
    </span>
    <input type="text" ng-keydown="$event.keyCode === 13 && textQuery.broadcastQueryChange()" focus-if="textQuery.focus"
           ng-model="textQuery.queryString" class="form-control" placeholder="Enter query...">
    <span class="input-group-btn">
      <button class="btn btn-default submit-button" type="button" ng-mousedown="textQuery.broadcastQueryChange()">
        <i class="fa fa-search"></i> Search
      </button>
    </span>
  </div>
</div>